
%global meadversion 2.2.0
%global namedversion 2.2.0.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 2

%bcond_with javadoc
%bcond_without mead

%define maven_version 2.2.0.Final-redhat-1

Name:           jbosgi-metadata
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBossOSGi Resolver Metadata
# FIXME: not in pom
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: org.jboss.osgi.metadata-jbosgi-metadata-2.2.0.Final-redhat-1-sources.zip
Source101: org.jboss.osgi.metadata-jbosgi-metadata-2.2.0.Final-redhat-1-patches.zip
Source102: jbosgi-metadata-2.2.0.Final-redhat-1-javadoc.jar
Source103: jbosgi-metadata-2.2.0.Final-redhat-1.jar
Source104: jbosgi-metadata-2.2.0.Final-redhat-1-sources.jar
Source105: jbosgi-metadata-2.2.0.Final-redhat-1.pom
%endif

# FIXME: not in pom
URL:            http://github.com/jbosgi/jbosgi-metadata
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%if 0
Requires:       jboss-osgi-parent >= 0:1.0.15
# FIXME: provided?
Requires:       jdeparser
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jbosgi-metadata-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package -n jbosgi-metadata-javadoc
Summary:        Javadoc for jbosgi-metadata
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n jbosgi-metadata-javadoc
%{summary}.
%endif

%prep
%setup -q -n jbosgi-metadata -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jbosgi-metadata-%{namedversion}.jar %{buildroot}%{_javadir}/jbosgi-metadata-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jbosgi-metadata-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbosgi-metadata-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jbosgi-metadata-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbosgi-metadata-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/jbosgi-metadata-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jbosgi-metadata.pom

# depmaps
%add_to_maven_depmap org.jboss.osgi.metadata jbosgi-metadata %{namedversion} JPP jbosgi-metadata
[ %{name} = "jbosgi-metadata" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jbosgi-metadata

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jbosgi-metadata-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jbosgi-metadata-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jbosgi-metadata-%{namedversion} -x META-INF/\*
%{__ln_s} jbosgi-metadata-%{namedversion} %{buildroot}%{_javadocdir}/jbosgi-metadata
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n jbosgi-metadata
%update_maven_depmap

%postun -n jbosgi-metadata
%update_maven_depmap

%files -n jbosgi-metadata
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/jbosgi-metadata-%{namedversion}.jar
%{_javadir}/jbosgi-metadata.jar
%exclude %{_javadir}/jbosgi-metadata-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jbosgi-metadata-javadoc.jar
%{_javadir}/jbosgi-metadata-%{namedversion}-sources.jar
%{_javadir}/jbosgi-metadata-sources.jar
%{_mavenpomdir}/JPP-jbosgi-metadata.pom
%{_mavendepmapfragdir}/jbosgi-metadata

%if %with javadoc
%files -n jbosgi-metadata-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jbosgi-metadata-%{namedversion}
%{_javadocdir}/jbosgi-metadata
%{_javadir}/jbosgi-metadata-%{namedversion}-javadoc.jar
%{_javadir}/jbosgi-metadata-javadoc.jar
%endif

%changelog
* Thu Sep 26 2013 David Walluck <dwalluck@redhat.com> - 2.2.0-2.Final_redhat_1.1
- fix file location
- fix bad dir ownership
- License is ASL 2.0, not LGPL
- add LICENSE.txt as doc
- remove all Requires (for eap6)
- make javadoc optional
- update Group

* Sun Feb 17 2013 Lin Gao <lgao@redhat.com> - 0:2.2.0-1.Final_redhat_1
- Upgrade to 2.2.0.Final
- Add javadoc package

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-2.Final_redhat_3.3
- Rebuild for MD5

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.1.0-1.Final_redhat_3.3
- Fix dependency management to eap 6.0.1 boms

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 03 2012 Lin Gao <lgao@redhat.com> - 0:2.1.0-1.Final_redhat_1
- Upgrade to 2.1.0.Final

* Fri Mar 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-1_redhat_1.1
- Upgrade to 2.0.3.Final-redhat-1

* Thu Mar 01 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.2-1_redhat_1.1
- First build
